using System;
using RestSharp.Deserializers;

namespace HabitSharp.Notifications {

    public class CardReceivedNotificationData {

        [DeserializeAs(Name="card")]
        public string CardType { get; set; }

        [DeserializeAs(Name="from")]
        public NotificationUserData Sender { get; set; }
    }

    [NotificationType("CARD_RECEIVED")]
    public class CardReceivedNotification : DataNotification<CardReceivedNotificationData> { }
}
