namespace HabitSharp.Notifications {
    public class GroupInviteAcceptedNotificationData {
        public string HeaderText { get; set; }
        public string BodyText { get; set; }
    }

    /// <summary>
    /// A notification sent to a user when they invited another user to join a guild, group, etc. and the other user accepted the invitation.
    /// </summary>
    [NotificationType("GROUP_INVITE_ACCEPTED")]
    public class GroupInviteAcceptedNotification :
        DataNotification<GroupInviteAcceptedNotificationData> { }
}
