namespace HabitSharp.Notifications {
    public class NewStuffNotificationData {
        public string Title { get; set; }
    }

    /// <summary>
    /// A notification added whenever the user chooses the "Tell Me Later" option on Bailey announcements.
    /// New announcements do not systematically trigger this notification.
    /// </summary>
    [NotificationType("NEW_STUFF")]
    public class NewStuffNotification : DataNotification<NewStuffNotificationData> { }
}
