using System;
using RestSharp.Deserializers;

namespace HabitSharp.Notifications {
    public class QuestInvitationNotificationData {
        public Guid PartyId { get; set; }

        [DeserializeAs(Name="quest")]
        public string QuestId { get; set; }
    }

    [NotificationType("QUEST_INVITATION")]
    public class QuestInvitationNotification :
        DataNotification<QuestInvitationNotificationData> { }
}
