
namespace HabitSharp {
    /// <summary>
    /// Describes a Habitica request parameter error.
    /// </summary>
    public class ParamError {
        /// <summary>
        /// The problematic URI parameter name.
        /// </summary>
        public string Param { get; set; }
        
        /// <summary>
        /// The given parameter value.
        /// </summary>
        public string Value { get; set; }

        /// <summary>
        /// A message describing the nature of the parameter error.
        /// </summary>
        public string Message { get; set; }
    }
}
