using RestSharp.Deserializers;

namespace HabitSharp.Notifications {
    public class CronNotificationData {
        [DeserializeAs(Name="hp")]
        public double HealthPoints { get; set; }

        [DeserializeAs(Name="mp")]
        public double ManaPoints { get; set; }
    }

    [NotificationType("CRON")]
    public class CronNotification : DataNotification<CronNotificationData> { }
}
