using System;

namespace HabitSharp.Notifications {
    public class DataNotification<T> : Notification where T : new() {
        public T Data { get; set; }
    }
    
    public class NotificationUserData {
        public Guid Id { get; set; }
        public string Name { get; set; }
    }

    public class NotificationGroupData {
        public Guid Id { get; set; }
        public string Name { get; set; }
    }
}
